Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Interface ProbeS

All Known Subinterfaces:
  ActiveGraph, ActiveGraphC, ActiveGraphS, ActiveOutFile, ActiveOutFileC, ActiveOutFileS, Averager, AveragerC, AveragerS, Entropy, EntropyC, EntropyS, MessageProbe, MessageProbeC, MessageProbeS, VarProbe, VarProbeC, VarProbeS

All Known Implementing Classes:
  MessageProbeImpl, MessageProbeCImpl, VarProbeCImpl, VarProbeImpl

public interface ProbeS
extends SwarmObjectS, ProbeConfigS

An abstract superclass of both VarProbe and MessageProbe.. A Probe is simply an object that contains pointers to an element (instance variable or message description) of another object. The Probe contains instance variables that describe the referent's class and type. It's actually an abstract class that is further subdivided into VarProbe and MessageProbe, which represent the two basic types of elements of any object. The Probes are collected into a ProbeMap and subsequently installed in the ProbeLibrary.

Method Summary
`java.lang.Object` | `setSafety()` The setSafety method turns on the option of checking the compatibility of the class of the object before any actions are performed on the object.
`java.lang.Object` | `unsetSafety()` The unsetSafety method turns off the option of checking the compatibility of the class of the object before any actions are performed on the object.

Method Detail

### setSafety

    public java.lang.Object setSafety()

  The setSafety method turns on the option of checking the compatibility of the class of the object before any actions are performed on the object.

### unsetSafety

    public java.lang.Object unsetSafety()

  The unsetSafety method turns off the option of checking the compatibility of the class of the object before any actions are performed on the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD